ModaDocs
Uploads

Upload a file from URL

Download a file from a public URL and store it. Returns a stable proxy URL that can be used as an attachment in start_design_task.

POST
/uploads/from-url

Authorization

bearerAuth
AuthorizationBearer <token>

API key from Settings > Developer > REST API. Format: moda_live_...

In: header

Request Body

application/json

source_url*string

Public URL of the file to download and store.

filename?string

Filename to use. Inferred from URL if omitted.

Response Body

application/json

curl -X POST "https://api.moda.app/v1/uploads/from-url" \  -H "Content-Type: application/json" \  -d '{    "source_url": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "url": "http://example.com",
  "filename": "string",
  "mime_type": "string",
  "size_bytes": 0,
  "was_duplicate": true
}